com.sun.jna.platform.mac

## Class CoreFoundation.CFTypeRef

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.mac.CoreFoundation.CFTypeRef

- All Implemented Interfaces:
    NativeMapped
  Direct Known Subclasses:
    CoreFoundation.CFAllocatorRef, CoreFoundation.CFArrayRef, CoreFoundation.CFBooleanRef, CoreFoundation.CFDataRef, CoreFoundation.CFDictionaryRef, CoreFoundation.CFNumberRef, CoreFoundation.CFStringRef, DiskArbitration.DADiskRef, DiskArbitration.DASessionRef
  Enclosing interface:
    CoreFoundation

      public static class CoreFoundation.CFTypeRef
      extends PointerType

  The `CFTypeRef` type is the base type defined in Core Foundation. It is used as the type and return value in several polymorphic functions. It is a generic object reference that acts as a placeholder for other true Core Foundation objects.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CFTypeRef()`
    `CFTypeRef(Pointer p)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CoreFoundation.CFTypeID` | `getTypeID()` Convenience method for `CoreFoundation.CFGetTypeID(com.sun.jna.platform.mac.CoreFoundation.CFTypeRef)` on this object.
    `boolean` | `isTypeID(CoreFoundation.CFTypeID typeID)` Test whether this object has the specified ID
    `void` | `release()` Convenience method for `CoreFoundation.CFRelease(com.sun.jna.platform.mac.CoreFoundation.CFTypeRef)` on this object.
    `void` | `retain()` Convenience method for `CoreFoundation.CFRetain(com.sun.jna.platform.mac.CoreFoundation.CFTypeRef)` on this object.

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CFTypeRef

          public CFTypeRef()

    - #### CFTypeRef

          public CFTypeRef(Pointer p)

  - ### Method Detail

    - #### getTypeID

          public CoreFoundation.CFTypeID getTypeID()

      Convenience method for `CoreFoundation.CFGetTypeID(com.sun.jna.platform.mac.CoreFoundation.CFTypeRef)` on this object.
      Returns:
        The `CoreFoundation.CFTypeID`

    - #### isTypeID

          public boolean isTypeID(CoreFoundation.CFTypeID typeID)

      Test whether this object has the specified ID
      Parameters:
        `typeID` - The `CoreFoundation.CFTypeID` for the class to test
      Returns:
        true if this object has the same ID as `typeID`

    - #### retain

          public void retain()

      Convenience method for `CoreFoundation.CFRetain(com.sun.jna.platform.mac.CoreFoundation.CFTypeRef)` on this object.

    - #### release

          public void release()

      Convenience method for `CoreFoundation.CFRelease(com.sun.jna.platform.mac.CoreFoundation.CFTypeRef)` on this object.

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.